"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeCatcher = void 0;
function makeCatcher(Logger = false) {
    return function Catcher(err, _req, res, _next) {
        if (Logger)
            Logger.error(err.error);
        res.status(err.status ?? 404);
        const error = process.env.NODE_ENV === 'production' ? null : err;
        if (!res.headersSent) {
            res.json({
                message: err.message ?? 'Not Found',
                error,
            });
        }
    };
}
exports.makeCatcher = makeCatcher;
//# sourceMappingURL=makeCatcher.js.map